#include<iostream>
using namespace std;
int main(){
    long long A,B,C,D,E,obem;
    cin>>A>>B>>C>>D>>E;
    E*=E;
    A*=A;
    B*=B;
    C*=C;
    D*=D;
    obem=A+B+C+D;
    if(E-obem>=0){
        cout<<"1";
    }else{
        if(obem%E==0){
            cout<<obem/E;
        }
        if(obem%E!=0){
            cout<<obem/E+1;
        }
    }
    return 0;
}
